-- =============================================================================
--  SHARE THAI FONT USING SHARED MEDIA 3.0
-- =============================================================================

local SML = LibStub("LibSharedMedia-3.0",true);

ShareThaiFont = CreateFrame("Frame", "ShareThaiFont");

local function eventHandler(self, event, ...)
     if (event == "ADDON_LOADED") then
		if SML then
			SML:Register("font", "Thai Font", [[Interface\Addons\!ThaiFont_Share\Fonts\OhmChat.ttf]]);
		end
	end
end

ShareThaiFont:RegisterEvent("ADDON_LOADED");
ShareThaiFont:SetScript("OnEvent", eventHandler);